## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate muvm

Name:           rust-muvm
Version:        0.1.1
Release:        %autorelease
Summary:        Run programs from your system in a microVM

License:        MIT
URL:            https://crates.io/crates/muvm
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

# libkrun only supports x86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

%global _description %{expand:
Run programs from your system in a microVM.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# This crate was renamed from krun to avoid a conflict with crun-krun. For
# that reason, we only set Obsoletes, not Provides, to avoid perpetuating the
# conflict. This should be removed once f42 is EOL.
Obsoletes:      krun < 0.1.0-2
Requires:       passt
Requires:       sommelier

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/muvm
%{_bindir}/muvm-guest
%{_bindir}/muvm-server

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Obsoletes:      rust-krun-devel < 0.1.0-2

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch
Obsoletes:      rust-krun+default-devel < 0.1.0-2

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Oct 05 2024 Janne Grunau <j@jannau.net> - 0.1.1-3
- Add Requires for passt

* Fri Oct 04 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-2
- Add Requires for sommelier

* Tue Oct 01 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-1
- Initial import; Fixes: RHBZ#2315942
## END: Generated by rpmautospec
